<?php	
	session_start();
	$username = $_SESSION['Username'];
	$settings = json_decode(file_get_contents("./source/cfg/preferences.config"), true);
	$valid_username = $settings["username"];
	if(strtolower($username) == strtolower($valid_username)) {
		$logged_in = true;
	}
	
	if(!$logged_in) {
		header("Location: ./login.php");
	}
	else {
		include "./assets/function_icons.php";
		include "./scripts/detect_device.php";
		if($user_agent_mobile) {
			$device = "mobile";
		}
		else {
			$device = "desktop";
		}
		if(isset($_COOKIE['x-cloud-theme']) && $_COOKIE['x-cloud-theme'] == "light" or !isset($_COOKIE['x-cloud-theme'])) {
			$theme_action = "darken-main";
			$theme_text = "Dark Mode";
			$theme_icon = $moon_icon;
			$theme_name = "light";
			$theme_color = "#ebebeb";
		}
		else {
			$theme_action = "lighten-main";
			$theme_text = "Light Mode";
			$theme_icon = $sun_icon;
			$theme_name = "dark";
			$theme_color = "#3c3c3c";
			$dark_mode_setting = "active-setting";
		}
		$profile_pic = glob("./images/profile-pic.*");
		$account_pic = $profile_pic[0];
		if(empty($account_pic)) {
			$account_pic = "./images/profile-pic-default.png";
		}
?>
<!-- Copyright <?php echo date('Y'); ?> © Xtrendence -->
<!DOCTYPE html>
<html>
	<head>
		<link rel="stylesheet" href="./source/css/<?php echo $theme_name; ?>.css" class="css-file light">
		<link rel="stylesheet" href="./source/css/resize.css">
		<script src="./source/js/jquery.js"></script>
		<script src="./source/js/jquery-animate.js"></script>
		<script src="./source/js/jquery-cookie.js"></script>
		<script src="./source/js/plupload.js"></script>
		<script src="./source/js/tippy.js"></script>
		<script src="./source/js/touchswipe.js"></script>
		<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
		<meta name="theme-color" content="<?php echo $theme_color; ?>">
		<title>X:/Cloud</title>
	</head>
	
	<body id="<?php echo $device; ?>">
		<div class="main-page">
			<div class="navbar">
				<div class="navbar-left">
					<div class="directory-wrapper">
						<div class="directory-chain">
							<div class="directory-chain-dynamic">
								<span class="directory-root directory-node noselect button">Files</span>
							</div>
						</div>
					</div>
					<input class="navbar-search noselect" type="text" placeholder="Search">
				</div>
				<div class="navbar-right">
					<div class="account-wrapper">
						<div class="account-pic-wrapper button">
							<img class="account-pic noselect" src="<?php echo $account_pic . "?" . time(); ?>">
						</div>
						<div class="account-name-wrapper button">
							<span class="account-name noselect" id="<?php echo $valid_username; ?>"><?php echo $valid_username; ?> &#x25BE;</span>
						</div>
					</div>
				</div>
			</div>
			<div class="account-menu-wrapper">
				<button class="account-menu-item account-menu-preferences">Preferences</button>
				<button class="account-menu-item account-menu-logout">Logout</button>
			</div>
			<div class="body-wrapper">
				<div class="sidebar">
					<div class="sidebar-top">
						<button class="sidebar-cancel-button">Cancel</button>
						<div class="sidebar-upload-wrapper button" id="uploader">
							<div class="sidebar-upload-container" id="uploader-browse-button">
								<div class="sidebar-upload-overlay">
									<div class="sidebar-upload-dd-icon-wrapper">
										<span class="sidebar-upload-dd-icon noselect button"><?php echo $upload_icon; ?></span>
									</div>
									<div class="sidebar-upload-dd-text-wrapper">
										<span class="sidebar-upload-dd-text noselect button">Drag &amp; Drop</span>
									</div>
								</div>
								<div class="sidebar-upload-list">
									
								</div>
							</div>
						</div>
						<button class="sidebar-upload-button">Upload</button>
					</div>
					<div class="sidebar-bottom">
						<div class="sidebar-storage-info-wrapper">
							
						</div>
					</div>
				</div>
				<div class="finder" id="">
					<div class="finder-labels">
						<div class="finder-labels-row">
							<div class="finder-label-name-wrapper">
								<span class="finder-label-name noselect">File Name</span>
							</div>
							<div class="finder-label-date-wrapper">
								<span class="finder-label-date noselect">Last Modified</span>
							</div>
							<div class="finder-label-size-wrapper">
								<span class="finder-label-size noselect">File Size</span>
							</div>
							<div class="finder-label-edit-wrapper">
								<span class="finder-label-edit noselect">Edit</span>
							</div>
						</div>
						<div class="finder-shortcuts-wrapper">
							<span class="finder-menu noselect button"><?php echo $menu_icon; ?></span>
							<span class="finder-theme noselect button <?php echo $theme_action; ?>"><?php echo $theme_icon; ?></span>
							<span class="finder-add noselect button"><?php echo $add_icon; ?></span>
							<span class="finder-refresh noselect button"><?php echo $refresh_icon; ?></span>
						</div>
					</div>
					<div class="finder-add-menu-wrapper">
						<button class="finder-add-menu-item create-folder">New Folder</button>
						<button class="finder-add-menu-item create-file">New File</button>
					</div>
					<div class="finder-explorer-wrapper">
						<div class="finder-empty-overlay">
							<div class="finder-empty-text-wrapper">
								<span class="finder-empty-text noselect">No Files Here...</span>
							</div>
						</div>
						<div class="finder-edit-menu-wrapper">
							<div class="finder-edit-menu">
								<button class="finder-edit-menu-item finder-edit-menu-row delete-file">Delete</button>
								<button class="finder-edit-menu-item finder-edit-menu-row download-button">Download</button>
								<input class="finder-edit-menu-input finder-edit-menu-row new-name" placeholder="Rename">
								<button class="finder-edit-menu-input-submit finder-edit-menu-row rename-file">&#10003;</button>
							</div>
						</div>
						<div class="finder-files"></div>
					</div>
				</div>
			</div>
		</div>
		
		<div class="preferences-page">
			<div class="preferences-navbar">
				<div class="preferences-navbar-left">
					<button class="preferences-cancel-button">Cancel</button>
					<div class="preferences-title-wrapper">
						<span class="preferences-title-text noselect">Preferences</span>
					</div>
					<div class="preferences-search-wrapper">
						<input class="preferences-search noselect" type="text" placeholder="Search">
					</div>
				</div>
			</div>
			<div class="preferences-alert-wrapper">
				<div class="preferences-alert-container">
					<span class="preferences-alert-text">Are you sure?</span>
					<button class="preferences-alert-cancel-button">Cancel</button>
					<button class="preferences-alert-confirm-button">Confirm</button>
				</div>
			</div>
			<div class="preferences-input-wrapper">
				<div class="preferences-input-container">
					<span class="preferences-input-text"></span>
					<input class="preferences-input-field">
					<button class="preferences-input-cancel-button">Cancel</button>
					<button class="preferences-input-confirm-button">Confirm</button>
				</div>
			</div>
			<div class="preferences-wrapper">
				<div class="preferences-item-wrapper">
					<div class="preferences-item-title-wrapper">
						<span class="preferences-item-title-text noselect">Dark Mode</span>
					</div>
					<div class="preferences-item-description-wrapper">
						<span class="preferences-item-description-text noselect">Changes the X:/Cloud interface's color scheme to a dark one.</span>
					</div>
					<div class="preferences-item-setting-wrapper <?php echo $dark_mode_setting; ?> button noselect <?php echo $theme_action; ?>">
						<span class="preferences-item-setting"></span>
					</div>
				</div>
				<div class="preferences-item-wrapper">
					<div class="preferences-item-title-wrapper">
						<span class="preferences-item-title-text noselect">Change Profile Picture</span>
					</div>
					<div class="preferences-item-description-wrapper">
						<span class="preferences-item-description-text noselect">Lets you change the profile picture that's displayed on the top right of the X:/Cloud page.</span>
					</div>
					<form class="preferences-profile-pic-form hidden" method="post" action="./scripts/process.php" enctype="multipart/form-data">
						<input type="file" name="file" class="select-profile-pic">
						<input type="text" name="action" value="upload-profile-pic">
					</form>
					<div class="preferences-item-setting-wrapper button noselect change-profile-pic">
						<span class="preferences-item-setting"></span>
					</div>
				</div>
				<div class="preferences-item-wrapper">
					<div class="preferences-item-title-wrapper">
						<span class="preferences-item-title-text noselect">Change Username</span>
					</div>
					<div class="preferences-item-description-wrapper">
						<span class="preferences-item-description-text noselect">Change your username.</span>
					</div>
					<div class="preferences-item-setting-wrapper change-username button noselect">
						<span class="preferences-item-setting"></span>
					</div>
				</div>
				<div class="preferences-item-wrapper">
					<div class="preferences-item-title-wrapper">
						<span class="preferences-item-title-text noselect">Change Password</span>
					</div>
					<div class="preferences-item-description-wrapper">
						<span class="preferences-item-description-text noselect">Change your password.</span>
					</div>
					<div class="preferences-item-setting-wrapper change-password button noselect">
						<span class="preferences-item-setting"></span>
					</div>
				</div>
				<div class="preferences-item-wrapper">
					<div class="preferences-item-title-wrapper">
						<span class="preferences-item-title-text noselect">Delete Profile Picture</span>
					</div>
					<div class="preferences-item-description-wrapper">
						<span class="preferences-item-description-text noselect">This action will delete your profile picture.</span>
					</div>
					<div class="preferences-item-setting-wrapper delicate-action button noselect" id="delete-profile-pic">
						<span class="preferences-item-setting"></span>
					</div>
				</div>
				<div class="preferences-item-wrapper">
					<div class="preferences-item-title-wrapper">
						<span class="preferences-item-title-text noselect">Delete All Files</span>
					</div>
					<div class="preferences-item-description-wrapper">
						<span class="preferences-item-description-text noselect">This action will irreversibly delete all your files.</span>
					</div>
					<div class="preferences-item-setting-wrapper delicate-action button noselect" id="delete-all-files">
						<span class="preferences-item-setting"></span>
					</div>
				</div>
			</div>
		</div>
		
		<div class="finder-alert-wrapper">
			<div class="finder-alert-container">
				<span class="finder-alert-text">Are you sure?</span>
				<button class="finder-alert-cancel-button">Cancel</button>
				<button class="finder-alert-confirm-button">Confirm</button>
			</div>
		</div>
		
		<form action="./scripts/process.php" method="post" target="downloader" class="downloader-form hidden">
			<input type="text" value="download-file" name="action">
			<input type="text" value="" name="location" class="file-to-download">
		</form>
		<iframe class="downloader hidden" id="downloader"></iframe>
		
		<noscript>
			<div class="noscript-alert-wrapper">
				<div class="noscript-alert-container">
					<span class="noscript-alert-text">You can't use this site without JavaScript enabled. Your browser needs to support HTML5, jQuery and CSS3. The latest version of Chrome or Firefox is recommended for desktop. For mobile, please use Chrome or Safari.</span>
					<a href="../"><button class="noscript-alert-confirm-button">Back</button></a>
				</div>
			</div>
		</noscript>
	</body>
	<script src="./source/js/xcloud.js"></script>
</html>
<?php } ?>