<?php
	session_start();
	$username = $_SESSION['Username'];
	$settings = json_decode(file_get_contents("./source/cfg/preferences.config"), true);
	$valid_username = $settings["username"];
	if(strtolower($username) == strtolower($valid_username)) {
		$logged_in = true;
	}
	
	if($logged_in) {
		header("Location: ./index.php");
	}
	else {
		if(isset($_COOKIE['x-cloud-login-username'])) {
			$username_fill = $_COOKIE['x-cloud-login-username'];
			$remember_me = "login-remember-active";
		}
		if(isset($_COOKIE['x-cloud-login-password'])) {
			$password_fill = base64_decode($_COOKIE['x-cloud-login-password']);
			$remember_me = "login-remember-active";
		}
		include "./assets/function_icons.php";
		include "./scripts/detect_device.php";
		if($user_agent_mobile) {
			$device = "mobile";
		}
		else {
			$device = "desktop";
		}
		if(isset($_COOKIE['x-cloud-theme']) && $_COOKIE['x-cloud-theme'] == "light" or !isset($_COOKIE['x-cloud-theme'])) {
			$theme_icon = $moon_icon;
			$theme_action = "darken-login";
			$theme_name = "light";
			$theme_color = "#ebebeb";
		}
		else {
			$theme_icon = $sun_icon;
			$theme_action = "lighten-login";
			$theme_name = "dark";
			$theme_color = "#3c3c3c";
		}
?>
<!-- Copyright <?php echo date('Y'); ?> © Xtrendence -->
<!DOCTYPE html>
<html>
	<head>
		<link rel="stylesheet" href="./source/css/<?php echo $theme_name; ?>.css" class="css-file light">
		<link rel="stylesheet" href="./source/css/resize.css">
		<script src="./source/js/jquery.js"></script>
		<script src="./source/js/jquery-animate.js"></script>
		<script src="./source/js/jquery-cookie.js"></script>
		<script src="./source/js/tippy.js"></script>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="theme-color" content="<?php echo $theme_color; ?>">
		<title>X:/Cloud/Login/</title>
	</head>
	
	<body id="<?php echo $device; ?>">
		<div class="login-page">
			<div class="login-theme-toggle-wrapper">
				<span class="login-theme-toggle-button <?php echo $theme_action; ?> noselect button"><?php echo $theme_icon; ?></span>
			</div>
			<div class="login-response-container">
				<div class="login-response-wrapper">
					<span class="login-response-text"></span>
				</div>
			</div>
			<div class="login-remember-wrapper noselect button <?php echo $remember_me; ?>">
				<span class="login-remember-text">Remember Me</span>
			</div>
			<div class="login-container">
				<div class="login-wrapper">
					<div class="login-input-field-wrapper">
						<input class="login-input-field username" type="text" placeholder="Username" value="<?php echo $username_fill; ?>" autocomplete="off">
					</div>
					<div class="login-input-field-wrapper">
						<input class="login-input-field password" type="password" placeholder="Password" value="<?php echo $password_fill; ?>" autocomplete="off">
					</div>
				</div>
				<div class="login-button-wrapper">
					<button class="login-button">Login</button>
				</div>
			</div>
			<div class="login-watermark-wrapper">
				<span class="login-watermark-text noselect">X:/Cloud</span>
			</div>
		</div>
		<noscript>
			<div class="noscript-alert-wrapper">
				<div class="noscript-alert-container">
					<span class="noscript-alert-text">You can't use this site without JavaScript enabled. Your browser needs to support HTML5, jQuery and CSS3. The latest version of Chrome or Firefox is recommended for desktop. For mobile, please use Chrome or Safari.</span>
					<a href="../"><button class="noscript-alert-confirm-button">Back</button></a>
				</div>
			</div>
		</noscript>
	</body>
	<script src="./source/js/login.js"></script>
</html>
<?php } ?>