<?php
	session_start();
	$username = $_SESSION['Username'];
	$settings = json_decode(file_get_contents("../source/cfg/preferences.config"), true);
	$valid_username = $settings["username"];
	if(strtolower($username) == strtolower($valid_username)) {
		$logged_in = true;
	}
	
	if($logged_in) {
		include "./detect_device.php";
		if($user_agent_mobile) {
			$mobile = true;
		}
		
		$action = $_POST['action'];
		
		if($action == "get-storage") {
			$storage_max = 20000;
			function foldersize($folder) {
				$storage = 0;
				foreach(glob(rtrim($folder, '/') . '/*', GLOB_NOSORT) as $each) {
					$storage += is_file($each) ? filesize($each) : foldersize($each);
				}
				return $storage;
			}
			$storage_current = foldersize("../files/") / 1000 / 1000;
			$storage_percentage = ceil(($storage_current * 100) / $storage_max);
			
			echo '<div class="sidebar-storage-text-wrapper"><span class="sidebar-storage-text noselect">' . number_format($storage_current, 1) . ' / ' . number_format($storage_max) . ' MBs</span></div><div class="sidebar-storage-container"><div class="sidebar-storage-wrapper"><div class="sidebar-storage-progress-background"></div><div class="sidebar-storage-progress-foreground" style="width:' . number_format($storage_percentage,1) . '%;"></div></div></div>';
		}
		
		if($action == "get-files") {
			include "../assets/file_icons.php";
			include "../assets/function_icons.php";
			$location = "../files/" . str_replace("../","",$_POST['location']) . "/";
			$files = glob($location . "*");
			natcasesort($files);
			$files_json = array();
			
			function filesize_readable($bytes, $decimals = 1) {
				$size = array('Bytes','KBs','MBs','GBs','TBs','PBs','EBs','ZBs','YBs');
				$factor = floor((strlen($bytes) - 1) / 3);
				return sprintf("%.{$decimals}f", $bytes / pow(1024, $factor)) . " " . @$size[$factor];
			}
			
			foreach($files as $file) {
				$file_path = $file;
				$file_path_safe = str_replace("../files/","",$file_path);
				$file_type = filetype($file);
				$file_name = basename($file);
				$file_time = filectime($file);
				$file_date = date('d / m / Y', $file_time);
				$file_extension = strtolower(array_pop(explode(".", $file_name)));
				if(strpos($file_name, ".") === false) {
					$file_extension = "";
				}
				if(is_dir($file)) {
					$icon = $folder_icon;
					$class = "finder-directory";
					$folder_items = count(glob($file . "/*"));
					$edit_block = "finder-edit-block edit-folder";
					if($folder_items == 1) {
						$file_size = $folder_items . " Item";
					}
					else {
						$file_size = $folder_items . " Items";
					}
				}
				else {
					$file_size = filesize_readable(filesize($file));
					$edit_block = "finder-edit-block edit-file";
					$class = "finder-file";
					
					$extensions_image = ["jpg","jpeg","png","icns","ico","bmp","gif","psd"];
					$extensions_video = ["mkv","mov","mp4","m4v","avi","ts","flv","wmv","m4p","3gp","webm"];
					$extensions_audio = ["mp3","wav","ogg","aac","aiff","m4a","wma"];
					$extensions_pdf = ["pdf"];
					$extensions_exe = ["exe","pkg","msi"];
					$extensions_code = ["py","sh","command","php","html","htm","css","js","config","ini","xml"];
					$extensions_ipa = ["ipa"];
					$extensions_apk = ["apk"];
					$extensions_archive = ["rar","zip","dmg","iso","7z"];
					$extensions_text = ["txt","rtf"];
					$extensions_doc = ["doc","docx"];
					
					if(in_array($file_extension, $extensions_image)) {
						$icon = $image_icon;
					}
					elseif(in_array($file_extension, $extensions_video)) {
						$icon = $video_icon;
					}
					elseif(in_array($file_extension, $extensions_audio)) {
						$icon = $audio_icon;
					}
					elseif(in_array($file_extension, $extensions_pdf)) {
						$icon = $pdf_icon;
					}
					elseif(in_array($file_extension, $extensions_exe)) {
						$icon = $exec_icon;
					}
					elseif(in_array($file_extension, $extensions_code)) {
						$icon = $code_icon;
					}
					elseif(in_array($file_extension, $extensions_ipa)) {
						$icon = $ipa_icon;
					}
					elseif(in_array($file_extension, $extensions_apk)) {
						$icon = $apk_icon;
					}
					elseif(in_array($file_extension, $extensions_archive)) {
						$icon = $archive_icon;
					}
					elseif(in_array($file_extension, $extensions_text)) {
						$icon = $text_icon;
					}
					elseif(in_array($file_extension, $extensions_doc)) {
						$icon = $word_icon;
					}
					else {
						$icon = $file_icon;
						$class = "finder-file file-icon-unknown";
					}
				}
				$file_build = "<div class='finder-row-wrapper'><div class='finder-row " . $class . " noselect button' id='" . $file_path_safe . "'><div class='folder-icon-wrapper'><div class='file-icon f-" . $file_extension . "'>" . $icon . "</div></div><div class='file-name-wrapper'><span class='file-name' id='" . $file_extension . "'>" . $file_name . "</span></div><div class='file-date-wrapper'><span class='file-date'>" . $file_date . "</span></div><div class='file-size-wrapper'><span class='file-size'>" . $file_size . "</span></div></div><div class='" . $edit_block . "' id='" . $file_path_safe . "'><div class='file-edit-wrapper'>" . $ellipsis_icon . "</div></div></div>";
				$files_json[] = ["finder" => $file_build];
			}
			
			if($mobile) {
				$files_json[] = ["finder" => "<div class='finder-row-empty'></div>"];
			}
			
			$current_chain = "/" . $_POST['location'] . "/";
			$chain_split = explode("/", $current_chain);
			$directory_depth = count($chain_split);
			$new_chain = [];
			for($i = 0; $i <= $directory_depth; $i++) {
				array_push($new_chain, '<span class="directory-name directory-node noselect button" id="' . implode("/", array_slice($chain_split, 1, $i + 1)) . '">' . $chain_split[$i + 1] . '</span>');
			}
			$directory_count = count($new_chain);
			
			$files_json[] = ["chain" => '<span class="directory-root directory-node noselect button">Files</span><span class="directory-separator noselect">&rarr;</span>' . implode('<span class="directory-separator noselect">&rarr;</span>', array_slice($new_chain, 1, $directory_count - 4)), "last_location" => trim($current_chain, "/")];
			echo json_encode($files_json);
		}
	}
	else {
		echo '<div class="login-alert-wrapper"><div class="login-alert-container"><span class="login-alert-text">You need to be logged in for that.</span><a href="./"><button class="login-alert-login-button">Login</button></a></div></div>';
	}
?>