$(document).ready(function() {
	if($("body").attr("id") == "desktop") {
		var desktop = true;
	}
	if($("body").attr("id") == "mobile") {
		var mobile = true;
	}
	
	$(".navbar-search").on("keyup", function() {
		var search = $(this).val().toLowerCase();
		$(".finder-row-wrapper").filter(function() {
			$(this).toggle($(this).text().toLowerCase().indexOf(search) > -1);
		});
	});
	
	$(".preferences-search").on("keyup", function() {
		var search = $(this).val().toLowerCase();
		$(".preferences-item-wrapper").filter(function() {
			$(this).toggle($(this).text().toLowerCase().indexOf(search) > -1);
		});
	});
	
	$.ajax ({ 
		type: "POST",
		data: { action: "get-files", location: "" },
		url: "./scripts/api.php", 
		success: function(data) {
			var response = $.parseJSON(data);
			for(i = 0; i < response.length; i++) {
				$(".finder-files").append(response[i].finder);
			}
			finder_empty_check();
		}
	});
	
	if(desktop) {
		tippy('.finder-refresh', { content: "<span class='tooltip'>Refresh the file list.</span>", arrow: true, arrowType: "round", interactive: false, placement: "bottom"});
		tippy('.navbar-search', { content: "<span class='tooltip'>Search for a file in the current directory.</span>", arrow: true, arrowType: "round", interactive: false, placement: "bottom"});
		tippy('.sidebar-upload-button', { content: "<span class='tooltip'>Upload one or more files. The maximum file size is around 6GBs.</span>", arrow: true, arrowType: "round", interactive: false, placement: "right"});
		tippy('.finder-add', { content: "<span class='tooltip'>Create a new file or folder.</span>", arrow: true, arrowType: "round", interactive: false, placement: "bottom"});
		tippy('.finder-theme', { content: "<span class='tooltip'>Too bright? Turn the lights off. Too dark? Turn them back on.</span>", arrow: true, arrowType: "round", interactive: false, placement: "bottom"});
		tippy('.new-name', { content: "<span class='tooltip'>Rename this file. You must include the file extension. A file and folder can't share the same name in the same directory because of how UNIX works.</span>", arrow: true, arrowType: "round", interactive: false, placement: "bottom"});
		tippy('.preferences-search', { content: "<span class='tooltip'>Search for a setting.</span>", arrow: true, arrowType: "round", interactive: false, placement: "bottom"});
	}
	
	var uploader_height_collapsed = $(".sidebar-upload-wrapper").height() - 128;
	var uploader_height_expanded = $(".sidebar-upload-wrapper").height();
	if(mobile) {
		var uploader_height_collapsed = "calc(100% - 170px)";
	}
	
	$(function() {
		var uploader = new plupload.Uploader({
			browse_button: 'uploader-browse-button',
			container: 'uploader',
			drop_element: 'uploader',
			url: './scripts/process.php',
			chunk_size: "10000kb",
			multiple_queues: true,
			multipart_params: { action: "upload-file", location: "" },

			init: {
				PostInit: function(up, file) {
					$(".sidebar-upload-list").empty();
					$(".sidebar-cancel-button").click(function() {
						$(".sidebar-upload-list").empty();
						$(".sidebar-upload-overlay").show();
						$(".sidebar-upload-dd-icon-wrapper").show();
						$(".sidebar-upload-dd-text").html("Drag &amp; Drop");
						$(".sidebar-upload-overlay").css("top","calc(50% - 50px");
						$(".sidebar-upload-button, .sidebar-cancel-button").hide();
						$(".sidebar-upload-wrapper").animate({height: uploader_height_expanded, top: 16 }, 200);
						finder_refresh(350);
						up.splice();
					});
					$(".sidebar-upload-button").click(function() {
						up.settings.multipart_params["location"] = $(".finder").attr("id") + "/";
						uploader.start();
						return false;
					});
				},

				FilesAdded: function(up, files) {
					plupload.each(files, function(file) {
						$(".sidebar-upload-overlay").hide();
						$(".sidebar-upload-list").append('<div class="uploader-item-row"><div class="uploader-item-name-wrapper"><span id="' + file.id + '" class="uploader-item-name">' + file.name + '</span></div><div class="uploader-item-size-wrapper"><span class="uploader-item-size"> - ' + plupload.formatSize(file.size).toUpperCase() + '</span></div><div class="uploader-item-progress-wrapper"><span id="' + file.id + 'progress" class="uploader-item-progress"><percent></percent></span></div></div>');
					});
					$(".sidebar-upload-wrapper").animate({height: uploader_height_collapsed, top: 80 }, 200, function() { $(".sidebar-upload-button, .sidebar-cancel-button").show(); });
				},

				UploadProgress: function(up, file) {		
					var file_size_mb = file.size / 1000000;
					
					if(file_size_mb < 1) {
						var delay = 0.75 * 1000;
					}
					if(file_size_mb > 1 && file_size_mb < 10) {
						var delay = 1 * 1000;
					}
					if(file_size_mb > 10 && file_size_mb < 100) {
						var delay = 3 * 1000;
					}
					if(file_size_mb > 100 && file_size_mb < 500) {
						var delay = 5 * 1000;
					}
					if(file_size_mb > 500 && file_size_mb < 2500) {
						var delay = 8 * 1000;
					}
					if(file_size_mb > 2500 && file_size_mb < 6000) {
						var delay = 15 * 1000;
					}
					
					$last_progress = $(".uploader-item-progress:last").text();
					
					if($last_progress == "100%") {
						$(".sidebar-upload-list").empty();
						$(".sidebar-upload-overlay").show();
						$(".sidebar-upload-dd-icon-wrapper").hide();
						$(".sidebar-upload-overlay").css("top","calc(50% - 25px");
						$(".sidebar-upload-dd-text").html("Uploading...");
						
						setTimeout(function() {
							$(".sidebar-upload-dd-icon-wrapper").show();
							$(".sidebar-upload-dd-text").html("Drag &amp; Drop");
							$(".sidebar-upload-overlay").css("top","calc(50% - 50px");
							$(".sidebar-upload-button, .sidebar-cancel-button").hide();
							$(".sidebar-upload-wrapper").animate({height: uploader_height_expanded, top: 16 }, 200);
							if(mobile) {
								sidebar_hide();
							}
							finder_refresh(400);
							up.splice();
						}, delay);
					}
					else {
						document.getElementById(file.id + "progress").getElementsByTagName('percent')[0].innerHTML = '<span class="upload-progress">' + file.percent + "%</span>";
						$("#" + file.id + "progress").css("color", "rgb(0,125,255)");
					}
				},

				Error: function(up, err) {
					$(".sidebar-upload-wrapper").append("\nError #" + err.code + ": " + err.message);
					setTimeout(function() { $(".sidebar-upload-wrapper").empty(); }, 2000);
				}
			}
		});
		uploader.init();
	});
	
	function finder_refresh(loading_time) {
		rotate_refresh_icon();
		if(mobile) {
			sidebar_hide();
		}
		var id = $(".finder").attr("id");
		if(id.length == 0) {
			var dir = "";
		}
		else {
			var dir = "/" + id;
		}
		$.ajax ({
			type: "POST",
			data: { action: "get-files", location: dir },
			url: "./scripts/api.php",
			success: function(data) {
				$(".finder-files").empty();
				setTimeout(function() {
					var response = $.parseJSON(data);
					for(i = 0; i < response.length; i++) {
						$(".finder-files").append(response[i].finder);
					}
					var scrollWidth = $(".directory-chain").get(0).scrollWidth;
		    		$(".directory-chain").scrollLeft(scrollWidth);
		    		finder_empty_check();
				}, loading_time);
			}
		});
		$.ajax ({ 
			type: "POST",
			data: { action: "get-storage" },
			url: "./scripts/api.php", 
			success: function(data) {
				$(".sidebar-storage-info-wrapper").html(data);
			}
		});
	}
	function finder_empty_check() {
		if(mobile) {
			$('.finder-row-empty').remove();
		}
		if($('.finder-files').html().trim().length == 0 ) {
			$(".finder-empty-overlay").show();
			if(mobile) {
				$('.finder-files').append("<div class='finder-row-empty'></div>");
			}
		}
		else {
			$(".finder-empty-overlay").hide();
		}
	}

	function rotate_refresh_icon() {
		var element = $('.finder-refresh');
		var original_color = $(".finder-add").css("fill");
		element.css("fill","rgb(0,125,255)");
	    $({deg: 0}).animate({deg: 360}, { duration: 750, step: function(now) { element.css({transform:'rotate(' + now + 'deg)'});}});
	    setTimeout(function() {
	    	element.css("fill",original_color);
	    },760);
	}
	
	function preferences_hide() {
		$(".main-page").show();
		$(".preferences-page").hide();
		$(".preferences-alert-wrapper").hide();
		$(".preferences-alert-confirm-button").attr("id","");
	}
	
	$.ajax ({ 
		type: "POST",
		data: { action: "get-storage" },
		url: "./scripts/api.php", 
		success: function(data) {
			$(".sidebar-storage-info-wrapper").html(data);
		}
	});

	$(".finder-refresh").click(function() {
		finder_refresh(500);
	});
	
	$(".account-menu-preferences").click(function() {
		$(".main-page").hide();
		$(".preferences-page").show();
	});
	$(".preferences-cancel-button").click(function() {
		preferences_hide();
	});
	
	$(".delicate-action").click(function() {
		$(".preferences-alert-wrapper").show();
		$(".preferences-alert-confirm-button").attr("id",this.id);
	});
	
	$(".preferences-alert-cancel-button").click(function() {
		$(".preferences-alert-wrapper").hide();
		$(".preferences-alert-confirm-button").attr("id","");
	});
	$(".preferences-alert-confirm-button").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: $(".preferences-alert-confirm-button").attr("id") },
			url: "./scripts/process.php", 
			success: function() {
				location.reload();
			}
		});
	});

	$(".directory-chain-dynamic").delegate(".directory-root", "click", function() {
		$.ajax ({ 
			type: "POST",
			data: { action: "get-files", location: "" },
			url: "./scripts/api.php", 
			success: function(data) {
				var response = $.parseJSON(data);
				$(".finder-files").empty();
				for(i = 0; i < response.length; i++) {
					$(".finder-files").append(response[i].finder);
				}
				$(".directory-chain-dynamic").html('<span class="directory-root directory-node noselect button">Files</span>');
				$(".finder").attr("id",response[response.length - 1].last_location);
				finder_empty_check();
			}
		});
	});

	$(".finder-files, .directory-chain-dynamic").delegate(".finder-directory, .directory-name", "click", function() {
		var dir = this.id;
		$.ajax ({
			type: "POST",
			data: { action: "get-files", location: dir },
			url: "./scripts/api.php",
			success: function(data) {
				$(".finder-files").empty();
				var response = $.parseJSON(data);
				for(i = 0; i < response.length; i++) {
					$(".finder-files").append(response[i].finder);
				}
				$(".directory-chain-dynamic").empty();
				$(".directory-chain-dynamic").html(response[response.length - 1].chain);
				$(".finder").attr("id",response[response.length - 1].last_location);
				var scrollWidth = $(".directory-chain").get(0).scrollWidth;
	    		$(".directory-chain").scrollLeft(scrollWidth);
	    		finder_empty_check();
			}
		});
	});
	
	$(".finder-files").delegate(".finder-file", "click", function() {
		var path = this.id;
		$(".file-to-download").attr("value", path);
		$(".downloader-form").submit();
	});

	$(".account-pic-wrapper, .account-name-wrapper").click(function() {
		$(".account-menu-wrapper").show();
	});

	$(".finder-add").click(function() {
		$(".finder-add-menu-wrapper").show();
	});
	
	$(".finder").delegate(".edit-file","click", function(e) {
		$(".finder-edit-menu-wrapper").show();
		$(this).parent().addClass("finder-row-active");
		var height = $(".finder-edit-menu .finder-edit-menu-row").length * 48;
		var width = $(".finder-edit-menu-wrapper").width();
		$(".finder-edit-menu-wrapper").offset({ left:e.pageX, top:e.pageY });
		$(".finder-edit-menu").attr("id",this.id);
		$(".download-button").show();
		var y_coordinate = e.pageY;
		var x_coordinate = e.pageX;
		if(y_coordinate + height > $(window).height() + 48) {
			var adjust_y = (y_coordinate - height) + "px";
		}
		if(x_coordinate + width > $(window).width()) {
			var adjust_x = (x_coordinate - width) + "px";
		}
		$(".finder-edit-menu-wrapper").css({"top":adjust_y,"left":adjust_x});
		setTimeout(function() {
			$(".finder-edit-menu-wrapper").show();
		}, 10);
	});
	$(".finder").delegate(".edit-folder","click", function(e) {
		$(".finder-edit-menu-wrapper").show();
		$(this).parent().addClass("finder-row-active");
		var height = ($(".finder-edit-menu .finder-edit-menu-row").length * 48) - 48;
		var width = $(".finder-edit-menu-wrapper").width();
		$(".finder-edit-menu-wrapper").offset({ left:e.pageX, top:e.pageY });
		$(".finder-edit-menu").attr("id",this.id);
		$(".download-button").hide();
		var y_coordinate = e.pageY;
		var x_coordinate = e.pageX;
		if(y_coordinate + height > $(window).height() + 48) {
			var adjust_y = (y_coordinate - height) + "px";
		}
		if(x_coordinate + width > $(window).width()) {
			var adjust_x = (x_coordinate - width) + "px";
		}
		$(".finder-edit-menu-wrapper").css({"top":adjust_y,"left":adjust_x});
		setTimeout(function() {
			$(".finder-edit-menu-wrapper").show();
		}, 10);
	});
	
	$(".delete-file").click(function() {
		$(".finder-alert-wrapper").show();
		$(".finder-alert-confirm-button").attr("id","delete-file");
		$(".finder-edit-menu-wrapper").hide();
	});
	$(".finder-alert-cancel-button").click(function() {
		$(".finder-alert-confirm-button").attr("id","");
		$(".finder-alert-wrapper").hide();
	});
	$(".finder-alert-confirm-button").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: $(".finder-alert-confirm-button").attr("id"), location: $(".finder-edit-menu").attr("id") },
			url: "./scripts/process.php",
			success: function() {
				$(".finder-edit-menu-wrapper").hide();
				$(".finder-alert-wrapper").hide();
				finder_refresh(50);
			}
		});
	});
	$(".rename-file").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: "rename-file", location: $(".finder-edit-menu").attr("id"), name: $(".new-name").val() },
			url: "./scripts/process.php", 
			success: function() {
				$(".finder-edit-menu-wrapper").hide();
				$(".new-name").val("");
				finder_refresh(50);
			}
		});
	});
	
	$(".download-button").click(function() {
		var path = $(".finder-edit-menu").attr("id");
		$(".file-to-download").attr("value", path);
		$(".downloader-form").submit();
	})

	$(".create-folder").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: "create-folder", location: $(".finder").attr("id") },
			url: "./scripts/process.php", 
			success: function() {
				$(".finder-add-menu-wrapper").hide();
				finder_refresh(250);
			}
		});
	});
	$(".create-file").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: "create-file", location: $(".finder").attr("id") },
			url: "./scripts/process.php", 
			success: function() {
				$(".finder-add-menu-wrapper").hide();
				finder_refresh(250);
			}
		});
	});
	if(desktop) {
		$('.finder').on('contextmenu', '.finder-file', function(e) {
			if($(window).width() > 1070) {
				e.preventDefault();
				$(this).parent().addClass("finder-row-active");
				$(".finder-edit-menu-wrapper").show();
				var height = $(".finder-edit-menu .finder-edit-menu-row").length * 48;
				var width = $(".finder-edit-menu-wrapper").width() + 230;
				$(".finder-edit-menu-wrapper").offset({ left:e.pageX, top:e.pageY });
				$(".finder-edit-menu").attr("id",this.id);
				$(".download-button").show();
				var y_coordinate = e.pageY;
				var x_coordinate = e.pageX;
				if(y_coordinate + height > $(window).height() + 48) {
					var adjust_y = (y_coordinate - height) + "px";
				}
				if(x_coordinate + width > $(window).width()) {
					var adjust_x = (x_coordinate - width) + "px";
				}
				$(".finder-edit-menu-wrapper").css({"top":adjust_y, "left":adjust_x});
				setTimeout(function() {
					$(".finder-edit-menu-wrapper").show();
				}, 15);
			}
		});
		$('.finder').on('contextmenu', '.finder-directory', function(e) {
			if($(window).width() > 1070) {
				e.preventDefault();
				$(this).parent().addClass("finder-row-active");
				$(".finder-edit-menu-wrapper").show();
				var height = ($(".finder-edit-menu .finder-edit-menu-row").length * 48) - 48;
				var width = $(".finder-edit-menu-wrapper").width() + 230;
				$(".finder-edit-menu-wrapper").offset({ left:e.pageX, top:e.pageY });
				$(".finder-edit-menu").attr("id",this.id);
				$(".download-button").hide();
				var y_coordinate = e.pageY;
				var x_coordinate = e.pageX;
				if(y_coordinate + height > $(window).height() + 48) {
					var adjust_y = (y_coordinate - height) + "px";
				}
				if(x_coordinate + width > $(window).width()) {
					var adjust_x = (x_coordinate - width) + "px";
				}
				$(".finder-edit-menu-wrapper").css({"top":adjust_y, "left":adjust_x});
				setTimeout(function() {
					$(".finder-edit-menu-wrapper").show();
				}, 15);
			}
		});
	}
	$('.new-name').keypress(function (e) {
		if(e.which == 13) {
			$(".rename-file").trigger("click");
		}
	});
	$(document).mouseup(function(e) {
		var container = new Array();
		container.push($('.account-menu-wrapper'));
		container.push($('.finder-add-menu-wrapper'));
		container.push($('.finder-edit-menu-wrapper'));

		$.each(container, function(key, value) {
			if(!$(value).is(e.target) && $(value).has(e.target).length === 0) {
				$(value).hide();
			}
		});
		
		setTimeout(function() {
			if($(".finder-edit-menu-wrapper").is(":hidden")) {
				$(".finder-row-wrapper").removeClass("finder-row-active");
			}
		}, 15);
	});
	
	$(".account-menu-logout").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: "logout", location: "./scripts/process.php" },
			url: "./scripts/process.php", 
			success: function(data) {
				location.reload();
			}
		});
	});
	
	var moon_icon = '<svg class="moon-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M283.211 512c78.962 0 151.079-35.925 198.857-94.792 7.068-8.708-.639-21.43-11.562-19.35-124.203 23.654-238.262-71.576-238.262-196.954 0-72.222 38.662-138.635 101.498-174.394 9.686-5.512 7.25-20.197-3.756-22.23A258.156 258.156 0 0 0 283.211 0c-141.309 0-256 114.511-256 256 0 141.309 114.511 256 256 256z"/></path></svg>';
	var sun_icon = '<svg class="sun-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M274.835 12.646l25.516 62.393c4.213 10.301 16.671 14.349 26.134 8.492l57.316-35.479c15.49-9.588 34.808 4.447 30.475 22.142l-16.03 65.475c-2.647 10.81 5.053 21.408 16.152 22.231l67.224 4.987c18.167 1.348 25.546 24.057 11.641 35.826L441.81 242.26c-8.495 7.19-8.495 20.289 0 27.479l51.454 43.548c13.906 11.769 6.527 34.478-11.641 35.826l-67.224 4.987c-11.099.823-18.799 11.421-16.152 22.231l16.03 65.475c4.332 17.695-14.986 31.73-30.475 22.142l-57.316-35.479c-9.463-5.858-21.922-1.81-26.134 8.492l-25.516 62.393c-6.896 16.862-30.774 16.862-37.67 0l-25.516-62.393c-4.213-10.301-16.671-14.349-26.134-8.492l-57.317 35.479c-15.49 9.588-34.808-4.447-30.475-22.142l16.03-65.475c2.647-10.81-5.053-21.408-16.152-22.231l-67.224-4.987c-18.167-1.348-25.546-24.057-11.641-35.826L70.19 269.74c8.495-7.19 8.495-20.289 0-27.479l-51.454-43.548c-13.906-11.769-6.527-34.478 11.641-35.826l67.224-4.987c11.099-.823 18.799-11.421 16.152-22.231l-16.03-65.475c-4.332-17.695 14.986-31.73 30.475-22.142l57.317 35.479c9.463 5.858 21.921 1.81 26.134-8.492l25.516-62.393c6.896-16.861 30.774-16.861 37.67 0zM392 256c0-74.991-61.01-136-136-136-74.991 0-136 61.009-136 136s61.009 136 136 136c74.99 0 136-61.009 136-136zm-32 0c0 57.346-46.654 104-104 104s-104-46.654-104-104 46.654-104 104-104 104 46.654 104 104z"/></path></svg>';
	
	function light_mode_main() {
		$.cookie("x-cloud-theme", "light", { expires: 365 });
		preferences_hide();
		$(".navbar").animate({backgroundColor: "rgb(255,255,255)"}).css("box-shadow","none");
		$(".directory-chain-dynamic").addClass("t-l-75").removeClass("t-d-233");
		$(".navbar-search").animate({backgroundColor: "rgb(240,240,240)"}).css("color","rgb(75,75,75)").addClass("dark-placeholder-text").removeClass("light-placeholder-text");
		$(".account-name").css("color", "rgb(75,75,75)");
		$(".account-menu-wrapper").css("background","rgb(240,240,240)");
		$(".account-menu-item").addClass("bg-l-220").removeClass("bg-d-60").css("color","rgb(75,75,75)");
		$(".sidebar-top").animate({backgroundColor: "rgb(235,235,235)"});
		$(".sidebar-bottom").animate({backgroundColor: "rgb(225,225,225)"});
		$(".uploader-item-row").css("color","rgb(75,75,75)");
		$(".sidebar-storage-text").css("color","rgb(75,75,75)");
		$(".sidebar-storage-progress-background").animate({backgroundColor: "rgba(0,125,255,0.3)"});
		$(".sidebar-storage-progress-foreground").animate({backgroundColor: "rgb(0,125,255)"});
		$("body").animate({backgroundColor: "rgb(215,215,215)"});
		$(".finder-labels-row").animate({backgroundColor: "rgb(235,235,235)"});
		$(".finder-label-name").css("color","rgb(75,75,75)");
		$(".finder-label-date").css("color","rgb(75,75,75)");
		$(".finder-label-size").css("color","rgb(75,75,75)");
		$(".finder-label-edit").css("color","rgb(75,75,75)");
		$(".finder-refresh").addClass("i-l-75").removeClass("i-d-233");
		$(".finder-add").addClass("i-l-75").removeClass("i-d-233");
		$(".finder-theme").html(sun_icon).addClass("darken-main").removeClass("lighten-main").addClass("i-l-75").removeClass("i-d-233");
		$(".finder-menu").addClass("i-l-75").removeClass("i-d-233");
		$(".account-menu-preferences").text("Loading...");
		$(".account-menu-logout").text("Light...");
		$(".account-menu-theme").text("Theme...").addClass("darken-main").removeClass("lighten-main");
		$(".finder-empty-text").css("color","rgb(180,180,180)");
		$(".finder-files").hide();
		$(".file-name").css("color","rgb(75,75,75)");
		$(".file-date").css("color","rgb(75,75,75)");
		$(".file-size").css("color","rgb(75,75,75)");
		$(".ellipsis-icon").addClass("i-l-75").removeClass("i-d-233");
		$(".file-icon-unknown").css("fill","rgb(120,120,120)");
		setTimeout(function() {
			location.reload();
		}, 400);
	}
	function dark_mode_main() {
		$.cookie("x-cloud-theme", "dark", { expires: 365 });
		preferences_hide();
		$(".navbar").animate({backgroundColor: "rgb(40,40,40)"}).css("bow-shadow","none");
		$(".directory-chain-dynamic").removeClass("t-l-75").addClass("t-d-233");
		$(".navbar-search").animate({backgroundColor: "rgb(60,60,60)"}).css("color","rgb(233,233,233)").removeClass("dark-placeholder-text").addClass("light-placeholder-text");
		$(".account-name").css("color", "rgb(233,233,233)");
		$(".account-menu-wrapper").css("background","rgb(60,60,60)");
		$(".account-menu-item").removeClass("bg-l-220").addClass("bg-d-60").css("color","rgb(233,233,233)");
		$(".sidebar-top").animate({backgroundColor: "rgb(50,50,50)"});
		$(".sidebar-bottom").animate({backgroundColor: "rgb(60,60,60)"});
		$(".uploader-item-row").css("color","rgb(233,233,233)");
		$(".sidebar-storage-text").css("color","rgb(233,233,233)");
		$(".sidebar-storage-progress-background").animate({backgroundColor: "rgba(0,125,255,0.5)"});
		$(".sidebar-storage-progress-foreground").animate({backgroundColor: "rgb(0,125,255)"});
		$("body").animate({backgroundColor: "rgb(70,70,70)"});
		$(".finder-labels-row").animate({backgroundColor: "rgb(50,50,50)"});
		$(".finder-label-name").css("color","rgb(233,233,233)");
		$(".finder-label-date").css("color","rgb(233,233,233)");
		$(".finder-label-size").css("color","rgb(233,233,233)");
		$(".finder-label-edit").css("color","rgb(233,233,233)");
		$(".finder-refresh").removeClass("i-l-75").addClass("i-d-233");
		$(".finder-add").removeClass("i-l-75").addClass("i-d-233");
		$(".finder-theme").html(moon_icon).removeClass("darken-main").addClass("lighten-main").removeClass("i-l-75").addClass("i-d-233");
		$(".finder-menu").removeClass("i-l-75").addClass("i-d-233");
		$(".account-menu-preferences").text("Loading...");
		$(".account-menu-logout").text("Dark...");
		$(".account-menu-theme").text("Theme...").removeClass("darken-main").addClass("lighten-main");
		$(".finder-empty-text").css("color","rgb(90,90,90)");
		$(".finder-files").hide();
		$(".file-name").css("color","rgb(233,233,233)");
		$(".file-date").css("color","rgb(233,233,233)");
		$(".file-size").css("color","rgb(233,233,233)");
		$(".ellipsis-icon").removeClass("i-l-75").addClass("i-d-233");
		$(".file-icon-unknown").css("fill","rgb(200,200,200)");
		setTimeout(function() {
			location.reload();
		}, 400);
	}
	
	$(".lighten-main").click(function() { 
		light_mode_main();
	});
	$(".darken-main").click(function() { 
		dark_mode_main();
	});
	
	$(".change-profile-pic").click(function() {
		$(".select-profile-pic").trigger("click");
	});
	$(".preferences-profile-pic-form").change(function() {
		this.submit();
	});
	
	$(".change-username").click(function() {
		$(".preferences-input-wrapper").show();
		$(".preferences-input-text").text("Change your username.");
		$(".preferences-input-field").val($(".account-name").attr("id")).attr("type","text");
		$(".preferences-input-confirm-button").attr("id","change-username");
	});
	$(".change-password").click(function() {
		$(".preferences-input-wrapper").show();
		$(".preferences-input-text").text("Change your password.");
		$(".preferences-input-confirm-button").attr("id","change-password");
		$(".preferences-input-field").val("").attr("placeholder","Password").attr("type","password");
	});
	$(".preferences-input-cancel-button").click(function() {
		$(".preferences-input-wrapper").hide();
	});
	$(".preferences-input-confirm-button").click(function() {
		$.ajax ({ 
			type: "POST",
			data: { action: $(".preferences-input-confirm-button").attr("id"), input: $(".preferences-input-field").val() },
			url: "./scripts/process.php",
			success: function() {
				location.reload();
			}
		});
	});
	
	$(".account-menu-wrapper").delegate(".lighten-main","click", function() {
		light_mode_main();
	});
	$(".account-menu-wrapper").delegate(".darken-main","click", function() {
		dark_mode_main();
	});
	$(".finder-labels").delegate(".lighten-main","click", function() {
		light_mode_main();
	});
	$(".finder-labels").delegate(".darken-main","click", function() {
		dark_mode_main();
	});
	
	$(".finder-files").scroll(function() {
		$(".finder-add-menu-wrapper").hide();
		$(".account-menu-wrapper").hide();
	});
	
	if(desktop) {
		$(".directory-chain").show();
	}
	function sidebar_hide() {
		$(".sidebar").animate({"width":"0%"});
		$(".finder-menu").removeClass("finder-menu-active");
		$(".sidebar-storage-info-wrapper").hide();
		setTimeout(function() {
			$(".sidebar").css("width","0px").hide();
			$(".finder").show();
			$(".sidebar-storage-info-wrapper").show();
		}, 400);
	}
	function sidebar_show() {
		$(".finder").hide();
		$(".sidebar").css("width","0px").show();
		$(".sidebar-storage-info-wrapper").hide();
		$(".sidebar-upload-wrapper").css({"left":"5%","width":"90%","height":"calc(100% - 170px)","top":"16px"});
		$(".sidebar-upload-dd-text").hide();
		$(".sidebar-upload-overlay").css({"top":"calc(50% - 45px)","left":"calc(50% - 33px)"});
		$(".finder-menu").addClass("finder-menu-active");
		$(".sidebar").animate({"width":"100%"});
		setTimeout(function() {
			$(".sidebar-storage-info-wrapper").show();
		}, 400);
	}
	if(desktop) {
		function adapt_to_small_ui() {
			$(".navbar-search").css("width","100px");
			$(".finder-add-menu-wrapper").css({"left":"25px","top":"0"});
			$(".finder-menu").detach().appendTo(".navbar-left").show().css("left","14px");
			$(".finder-theme").hide();
			$(".sidebar").hide();
			$(".account-name").text("▾");
		}
		function adapt_to_large_ui() {
			$(".navbar-search").css("width","200px");
			$(".finder-add-menu-wrapper").css({"right":"10px","top":"48px"});
			$(".finder-menu").detach().appendTo(".finder-labels").hide();
			$(".finder-theme").show().css("right","100px");
			$(".sidebar").css({"width":"240px","height":"100%","font-size":"0","display":"inline-block"});
			$(".sidebar-upload-wrapper").css({"border":"2px solid","border-color":"rgb(0,125,255)","border-radius":"10px","width":"85.8%","height":"calc(100% - 36px)","position":"absolute","left":"calc(50% - 105px)","top":"16px","background":"rgba(0,125,255,0.1)","z-index":"1","overflow-x":"hidden","overflow-y":"scroll"});
			$(".sidebar-upload-dd-text").show();
			$(".sidebar-upload-overlay").css({"text-align":"center","position":"absolute","left":"40px","top":"calc(50% - 50px)","z-index":"-1"});
			$(".account-name").text($(".account-name").attr("id") + " ▾");
		}
		$(window).resize(function() {
			if(desktop && $(window).width() < 1070) {
				adapt_to_small_ui();
			}
			if(desktop && $(window).width() > 1070) {
				adapt_to_large_ui();
			}
		});
		if($(window).width() < 1070) {
			adapt_to_small_ui();
		}
		else {
			adapt_to_large_ui();
		}
	}
	$(".finder-menu").click(function() {
		if($(".finder-menu").hasClass("finder-menu-active")) {
			sidebar_hide();
		}
		else {
			sidebar_show();
		}
	});
	if(mobile) {
		$(".navbar-search").css("width","100px");
		$(".sidebar").hide();
		$(".finder").css("width","100%");
		$(".finder-add-menu-wrapper").css({"left":"25px","top":"0"});
		$(".finder-shortcuts-wrapper").detach().appendTo(".navbar-left").css({"display":"block","left":"200px","position":"absolute","top":"0px"});
		$(".finder-menu").show();
		$(".finder-theme").hide();
		$(".finder-refresh").css("right","50px");
		$(".finder-add").css("right","100px");
		$(".finder-files").swipe({
			swipeRight:function(event, direction, distance, duration, fingerCount) {
				var dir = $(".finder").attr("id") + "/";
				var chain = dir.split("/");
				var previous_dir = chain.slice(0, -2).join("/");
				$.ajax ({
					type: "POST",
					data: { action: "get-files", location: previous_dir },
					url: "./scripts/api.php",
					success: function(data) {
						$(".finder-files").empty();
						var response = $.parseJSON(data);
						for(i = 0; i < response.length; i++) {
							$(".finder-files").append(response[i].finder);
						}
						$(".finder").attr("id",response[response.length - 1].last_location);
			    		finder_empty_check();
					}
				});
			},
			threshold:150
		});
	}
	// $(".main-page").hide();
	// $(".preferences-page").show();
});